#pragma once
#include "../constants/httpresponse.hpp"

namespace Http
{
	struct Response
	{
		HttpResponse::Code code;
		std::string contentType;
		std::vector<char> content;

		std::vector<char> Serialize() const;

		Response();
	};
}